﻿.invalidmsg {
    /*color: #f71b14;
    font-size: .75rem;
    font-weight: bold;*/
    color: #ff0000 !important;
    font-weight: bold;
}

.validmsg {
    color: #1f982d;
    font-size: .75rem;
    font-weight: bold;
}

.infomsg {
    color: #3988b6;
    font-size: .75rem;
    font-weight: bold;
}

.processing-narrow {
    display: block;
    height: 8px;
    margin-left: -5px !important;
    background-image: url(../Images/processingnarrow2.gif);
    background-repeat: no-repeat;
}
.label-file {
    top: -37px !important;
    font-size: 12px !important;
}

.information {
    color: #0b17f1;
    font-size: 11px;
    font-weight: bold;
}
/*.icon-upload > input {
    display: none;
}
*/
.icon-upload > input[type="file"] {
    display: none;
}

.form-group > label {
    color: #757373 !important;
}

.VaidationError {
    color: #ff0000 !important;
    font-weight: bold;
}

.selectLabel {
    -webkit-transform: translateY(-10px) scale(0.99) !important;
    transform: translateY(-10px) scale(0.99) !important;
    -webkit-transform-origin: 0 0 !important;
    transform-origin: 0 0 !important;
}

.dataTable th {
    background-color: #cebfef;
}


/*Menu Style for Normal User*/

.dropMenu .dropdown-menu {
    margin-top: 0;
    border-radius: 0;
}

    .dropMenu .dropdown-menu li {
        width: 100%;
    }

        .dropMenu .dropdown-menu li a {
            padding: 10px 10px;
            transition: 0.3s;
        }

            .dropMenu .dropdown-menu li a:hover {
                background: #cebfef;
                color: #fff;
                padding-left: 15px;
                transition: 0.3s;
            }

.dropMenu i {
    background: #fff;
    width: 35px;
    height: 35px;
    color: #cebfef;
    line-height: 35px;
    text-align: center;
    border-radius: 50px;
    font-size: 20px;
}

/*.dropMenu .dropdown {
    background: #cebfef;
}*/

.dropMenu .dropdown {
    background: #c6f5c3;
}

nav.lmenu {
    height: auto;
    padding: 0;
    line-height: inherit;
    border-bottom: 3px solid #cebfef;
}
    nav.lmenu .container-fluid {
        padding-right: 0;
    }
    .dropMenu:before {
    content: "";
    /* width: 0; */
    height: 0;
    border-top: 0px solid transparent;
    border-bottom: 60px solid transparent;
    border-right: 40px solid #cebfef;
}

.lmenu .leftmenu li {
    content: "";
    /* width: 0; */
    height: 0;
    border-top: 0px solid transparent;
    border-bottom: 50px solid transparent;
    border-left: 9px solid #cebfef;
}

.leftmenu li a {
    font-weight: bold !important;
}

@media (max-width: 576px) {
    .dropMenu:before {
        content: "";
        border-right: 40px solid transparent;
        border-bottom: 0;
    }

    .lmenu .leftmenu li {
        border-left: 9px solid transparent;
    }
}

/*Menu Style for Normal User End*/

.footerbg {
    padding-right: 0px;
}


fieldset {
    border: 1px solid rgb(204, 204, 204) !important;
    padding: 0.4em !important;
    margin: 0 0 0 0 !important;
    -webkit-box-shadow: 10px #000;
    box-shadow: 10px #000;
    border-radius: 15px 3px 15px 15px;
}

legend {
    font-size: 1.2em !important;
    font-weight: bold !important;
    text-align: left !important;
    width: auto;
    padding: 0px 10px 15px 10px;
    margin: -17px 0px 0px 0px;
    border-bottom: none;
    background-color: white;
}

.top-right {
    position: absolute;
    top: 12px;
    right: 16px;
}

.onoffswitch4 {
    position: relative;
    width: 115px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

.onoffswitch4-checkbox {
    display: none;
}



.onoffswitch4-inner {
    display: block;
    width: 200%;
    margin-left: -100%;
    -moz-transition: margin 0.3s ease-in 0s;
    -webkit-transition: margin 0.3s ease-in 0s;
    -o-transition: margin 0.3s ease-in 0s;
    transition: margin 0.3s ease-in 0s;
}

    .onoffswitch4-inner:before, .onoffswitch4-inner:after {
        display: block;
        float: left;
        width: 50%;
        height: 30px;
        padding: 0;
        line-height: 26px;
        font-size: 14px;
        color: white;
        font-family: Trebuchet, Arial, sans-serif;
        font-weight: bold;
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
        border: 2px solid transparent;
        background-clip: padding-box;
    }

.onoffswitch4-label {
    display: block;
    overflow: hidden;
    cursor: pointer;
    border-radius: 0px;

}

.onoffswitch4-inner:before {
    content: "Date Wise";
    padding-left: 10px;
}

.onoffswitch4-inner:after {
    content: "Month Wise";
    padding-right: 10px;
    background-color: #FFFFFF;
    color: #ec4c66;
    text-align: right;
}

.onoffswitch4-switch {
    display: block;
    width: 10px;
    margin: 0px;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 115px;
    -moz-transition: all 0.3s ease-in 0s;
    -webkit-transition: all 0.3s ease-in 0s;
    -o-transition: all 0.3s ease-in 0s;
    transition: all 0.3s ease-in 0s;
}

.onoffswitch4-checkbox:checked + .onoffswitch4-label .onoffswitch4-inner {
    margin-left: 0;
}

.onoffswitch4-checkbox:checked + .onoffswitch4-label .onoffswitch4-switch {
    right: 0px;
}

.onoffswitch4-inner:before {
    background-color: #FFFFFF;
    color: #ec4c66;
}

.onoffswitch4-switch {
    background: #ec4c66;
}

.onoffswitch4-label {
    border: 2px solid #ec4c66;
color:black;
}


.upperinput {
    text-transform: uppercase;
}

::-webkit-input-placeholder { /* WebKit browsers */
    text-transform: none;
}

:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
    text-transform: none;
}

::-moz-placeholder { /* Mozilla Firefox 19+ */
    text-transform: none;
}

:-ms-input-placeholder { /* Internet Explorer 10+ */
    text-transform: none;
}

::placeholder { /* Recent browsers */
    text-transform: none;
}


.dt-buttons .btn-primary:hover, .dt-buttons .btn-primary:active {
    color: black;
}

.toast.toastSec.fade.show {
    width: 350px !important;
    display: block;
    color: #000000;
    padding: 0;
}

.toast.toastSec b,
strong {
    font-weight: 600;
}

.toast-body {
    background: #efefef;
    padding: 10px;
}

.dataTables_wrapper {

    overflow-x:scroll!important;
}